

[c1, c2, c3, c4, data, id]=generateData(20, [1 10]);

%Construction de la matrice de distances
N=size(data, 1);
M=N*N-N;
s=zeros(M,3);
j=1;
for i=1:N
  for k=[1:i-1,i+1:N]
    s(j,1)=i;
    s(j,2)=k;
    I1=[data(i,1) data(i,1)+data(i,3);data(i,2) data(i,2)+data(i,4)];
    I2=[data(k,1) data(k,1)+data(k,3);data(k,2) data(k,2)+data(k,4)];
    %s(j,3)=-sum((data(i,:)-data(k,:)).^2);
    s(j,3)=-CityBlock(I1, I2);
    %s(j,3)=-Hausdorff(I1, I2);
    %s(j,3)=-GowdaDiday(I1, I2);
    %s(j,3)=-IchinoYaguchi(I1, I2, 0.25, 'none');
    %s(j,3)=-DeCarvahlo94(I1, I2);
    j=j+1;
  end
end
p=median(s(:,3))*3;


%Lancement de l'algorithme de classification Affinity propagation
[idx,netsim,dpsim,expref]=apcluster(s,p);
fprintf('Number of clusters: %d\n',length(unique(idx)));
fprintf('Fitness (net similarity): %g\n',netsim);
fprintf('CR: %g\n',CR(idx, id));


drawClassif(c1, c2, c3, c4, data, idx)
