% Lebesgue "distance" between intervals
% T. Guyet
% - I1, I2 : intervals to compare
% 
function d=Lebesgue(I1, I2)

d=0;
if( size(I1,1)~=size(I2,1) )
    return;
end

vol=1;
for i=1:size(I1,1)
    d = d + max(0, ( min(I1(i,2), I2(i,2)) - max(I1(i,1), I2(i,1)) ) );
    vol = vol * max(I1(i,2)-I1(i,1), I2(i,2)-I2(i,1));
end
d =d/vol;