%benchmarking

n_tries=20;
class_size=50;

res=zeros(n_tries,3);

for n_try = 1:n_tries
    [c1, c2, c3, c4, data, id]=generateData(class_size, [1 10]);

    tic
    [kcentre,idx,sqrerr] = kmeans(data, 4);
    res(n_try,1)=toc;
    res(n_try,2)=sqrerr;
    res(n_try,3)=CR(idx, id);
    fprintf('%d/%d done\n', n_try, n_tries);
end
mean(res)