function [c1, c2, c3, c4, data, id]=generateData(N, gamma)
%N=20;
%gamma=[1 5];

%Generation of class 1
mu=[28, 23];
sigma=[144, 0.8;0.8, 16]; R=chol(sigma);
c1=repmat(mu, N, 1) + randn(N,2)*R;
sort(c1,2);

dim=gamma(1)+rand(N,2)*(gamma(2)-gamma(1));
c1=cat(2,c1,dim);

id=ones(N,1);

%Generation of class 2
mu=[62, 30];
sigma=[81, 0.7;0.7, 49]; R=chol(sigma);
c2=repmat(mu, N, 1) + randn(N,2)*R;
sort(c2,2);

dim=gamma(1)+rand(N,2)*(gamma(2)-gamma(1));
c2=cat(2,c2,dim);

id=cat(1,id, 2*ones(N, 1));

%Generation of class 3
mu=[50, 15];
sigma=[49, 0.6;0.6, 81]; R=chol(sigma);
c3=repmat(mu, N, 1) + randn(N,2)*R;
sort(c3,2);

dim=gamma(1)+rand(N,2)*(gamma(2)-gamma(1));
c3=cat(2,c3,dim);

id=cat(1,id, 3*ones(N, 1));

%Generation of class 4
mu=[57, 48];
sigma=[16, 0.9;0.9, 149]; R=chol(sigma);
c4=repmat(mu, N, 1) + randn(N,2)*R;
sort(c4,2);

dim=gamma(1)+rand(N,2)*(gamma(2)-gamma(1));
c4=cat(2,c4,dim);

id=cat(1,id, 4*ones(N, 1));

%Construction du jeu d'apprentissage
data=cat(1, c1, c2);
data=cat(1, data, c3);
data=cat(1, data, c4);